/* Syntax fr Persnlichkeit und politische Partizipation */
/* im Umfeld der Bundestagswahl 2009 */
/* Autoren: Markus Steinbrecher und Harald Schoen*/
/* Verffentlicht in: Politische Psychologie 2, 58-74 */
/* Datensatz: GLES-Wahlkampfpanel, ZA 5305 */
/* Big Five */
tab1 KP1_2180a-KP1_2180j
tab1 KP6_2180a-KP6_2180j
/* Zusammenfassung der Einzelitems zu Dimensionen */
/* W1 */
/* Extraversion */
gen extra11= (5-KP1_2180a)/4
gen extra12= (KP1_2180f-1)/4
gen extraw1= (extra11+extra12)/2
tab extraw1
/* Vertrglichkeit */
gen agree11= (5-KP1_2180g)/4
gen agree12= (KP1_2180b-1)/4
gen agreew1= (agree11+agree12)/2
tab agreew1
/* Gewissenhaftigkeit */
gen consc11= (5-KP1_2180h)/4
gen consc12= (KP1_2180c-1)/4
gen conscw1= (consc11+consc12)/2
tab conscw1
/* Emotionale Stabilitt */
gen emost11= (5-KP1_2180i)/4
gen emost12= (KP1_2180d-1)/4
gen emostw1= (emost11+emost12)/2
tab emostw1
/* Offenheit */
gen open11= (5-KP1_2180j)/4
gen open12= (KP1_2180e-1)/4
gen openw1= (open11+open12)/2
tab openw1
/* W6 */
/* Extraversion */
gen extra61= (5-KP6_2180a)/4
gen extra62= (KP6_2180f-1)/4
gen extraw6= (extra61+extra62)/2
tab extraw6
/* Vertrglichkeit */
gen agree61= (5-KP6_2180g)/4
gen agree62= (KP6_2180b-1)/4
gen agreew6= (agree61+agree62)/2
tab agreew6
/* Gewissenhaftigkeit */
gen consc61= (5-KP6_2180h)/4
gen consc62= (KP6_2180c-1)/4
gen conscw6= (consc61+consc62)/2
tab conscw6
/* Emotionale Stabilitt */
gen emost61= (5-KP6_2180i)/4
gen emost62= (KP6_2180d-1)/4
gen emostw6= (emost61+emost62)/2
tab emostw6
/* Offenheit */
gen open61= (5-KP6_2180j)/4
gen open62= (KP6_2180e-1)/4
gen openw6= (open61+open62)/2
tab openw6
/* Kopie der Informationen aus der Abfrage in W6 in die W1-Variable */
/* fr die Beginner in W2, damit einheitliche Variable vorliegt und die */
/* Beginner in W2 nicht automatisch ausgeschlossen werden */
tab1 W1-W2
gen extra=extraw6
gen agree=agreew6
gen consc=conscw6
gen emost=emostw6
gen open=openw6
replace extra=extraw1 if W1 == 1
replace agree=agreew1 if W1 == 1
replace consc=conscw1 if W1 == 1
replace emost=emostw1 if W1 == 1
replace open=openw1 if W1 == 1
tab1 extra-open
/* Nicht-elektorale Partizipationsformen */
tab1 KP2_080a-KP2_080g
gen buergi=(KP2_080a-1)/4
gen demo=(KP2_080b-1)/4
gen demog=(KP2_080c-1)/4
gen verkehr=(KP2_080d-1)/4
gen punter=(KP2_080e-1)/4
gen unters=(KP2_080f-1)/4
gen wahlka=(KP2_080g-1)/4
label define partizip 0 "bestimmt nicht" 1 "bestimmt"
label value buergi partizip
label value demo partizip
label value demog partizip
label value verkehr partizip
label value punter partizip
label value unters partizip
label value wahlka partizip
tab1 buergi-wahlka
/* Wahrscheinlichkeit der Wahlbeteiligung*/
numlabel KP1_170, add
tab KP1_170
gen wwbt=(5-KP1_170)/4
tab wwbt
/* Sozialstruktur */
tab1 KPX_2280 KPX_2290
/* Geschlecht */
recode KPX_2280 (1=0) (2=1) (else=.), gen(frau)
lab var frau "Geschlecht"
tab frau
/* Alter */
gen alter=2009-KPX_2290
lab var alter "Alter"
tab alter
gen alterq=alter*alter
lab var alterq "Alter quadriert"
tab alterq
/* Bildung */
tab KPX_2320
gen edulow=0
replace edulow=1 if KPX_2320==1 | KPX_2320==2
gen eduhi=0
replace eduhi=1 if KPX_2320==4 | KPX_2320==5
tab1 edulow eduhi
/* Ost-West */
tab KPX_2601
recode KPX_2601 (1 2 5 6 7 9 10 11 12 15=1) (3 4 8 13 14 16=0), gen(west)
tab west
/* Schichtzugehrigkeit */
tab KP2_2580
recode KP2_2580 (1 2=1) (3 4 5=0) (else=.), gen(usch)
recode KP2_2580 (1 2 3=0) (4 5=1) (else=.), gen(osch)
tab1 usch osch
/* Politische Einstellungen, diese wurden fr die im Aufsatz verwendeten Analysen */
/* aus Platzgrnden nicht bercksichtigt. Sie sind hier dennoch notwendig, um */
/* auf die im Aufsatz berichtete Zahl von Befragten in den Analysen zu kommen */
/* Interne Efficacy */
tab1 KP1_050d KP4_050d
recode KP1_050d (5=1) (4=2) (3=3) (2=4) (1=5) (else=.), gen(inefw11)
recode KP4_050d (5=1) (4=2) (3=3) (2=4) (1=5) (else=.), gen(inefw41)
/* Indexerstellung*/
gen inteffw1= (inefw11+KP1_050h+KP1_050k-3)/12
gen inteffw4= (inefw41+KP4_050h+KP4_050k-3)/12
tab1 inteffw1 inteffw4
/* Externe Efficacy*/
tab1 KP1_050a KP1_050e
/* Indexerstellung*/
gen exteffw1= (KP1_050a+KP1_050e-2)/8
gen exteffw4= (KP4_050a+KP4_050e-2)/8
tab1 exteffw1 exteffw4
/* Wahlnorm */
tab1 KP1_050l KP4_050l
gen wahlnw1= (KP1_050l-1)/4
gen wahlnw4= (KP4_050l-1)/4
tab1 wahlnw1 wahlnw4
/* Politisches Interesse*/
tab1 KP2_010 KP4_010
gen polintw2=(5-KP2_010)/4
gen polintw4=(5-KP4_010)/4
tab1 polintw2 polintw4
/* Strke PID*/
tab1 KP1_2090 KP3_2090,m
tab1 KP1_2100 KP3_2100,m
label list KP1_2090
recode KP1_2100 (5 4=1) (3=2) (2=3) (1=4) (else=.),gen (kp1_2100a)
replace kp1_2100a=0 if KP1_2100==99 | KP1_2100==100
recode KP3_2100 (5 4=1) (3=2) (2=3) (1=4) (else=.),gen (kp3_2100a)
replace kp3_2100a=0 if KP3_2100==99 | KP3_2100==100
gen stpidw1=kp1_2100a/4
gen stpidw3=kp3_2100a/4
tab1 stpidw1 stpidw3
/* Inglehart*/
tab1 KP6_2080a-KP6_2080c
gen postmat=1 if KP6_2080a==1 & KP6_2080b==3
replace postmat=1 if KP6_2080a==3 & KP6_2080b==1
replace postmat=4 if KP6_2080a==2 & KP6_2080b==4
replace postmat=4 if KP6_2080a==4 & KP6_2080b==2
replace postmat=2 if KP6_2080a==1 & KP6_2080b==2
replace postmat=2 if KP6_2080a==1 & KP6_2080b==4
replace postmat=2 if KP6_2080a==3 & KP6_2080b==2
replace postmat=2 if KP6_2080a==3 & KP6_2080b==4
replace postmat=3 if KP6_2080a==2 & KP6_2080b==1
replace postmat=3 if KP6_2080a==2 & KP6_2080b==3
replace postmat=3 if KP6_2080a==4 & KP6_2080b==1
replace postmat=3 if KP6_2080a==4 & KP6_2080b==3
label define ingelh 1 "Materialist" 2 "materialistischer Mischtyp" ///
3 "postmaterialistischer Mischtyp" 4 "Postmaterialist"
label value postmat ingelh
tab postmat
gen post=(postmat-1)/3
sum post
/* Links-Rechts*/
tab1 KP1_1500 KP2_1500
gen lirew1=(6-KP1_1500)/5
gen lirew2=(6-KP2_1500)/5
tab1 lirew1 lirew2
/* Demokratiezufriedenheit*/
tab1 KP1_020 KP3_020
gen demzufw1=(5-KP1_020)/4
gen demzufw3=(5-KP3_020)/4
tab1 demzufw1 demzufw3
/* Institutionenvertrauen */
tab1 KP2_160a-KP2_160n
gen vertbt=(KP2_160a-1)/4
gen vertbvg=(KP2_160b-1)/4
gen vertbreg=(KP2_160c-1)/4
gen vertger=(KP2_160d-1)/4
gen vertpol=(KP2_160e-1)/4
gen vertverw=(KP2_160f-1)/4
gen instvert=(vertbt+vertbvg+vertbreg+vertger+vertpol+vertverw)/6
tab instvert
/* Soziale Partizipation */
tab1 KP2_2460a-KP2_2460j
egen sozparth=anycount (KP2_2460a-KP2_2460f KP2_2460h-KP2_2460j), values(1)
recode sozparth (0=0) (1=.33) (2=.66) (3 4 5 6=1),gen(sozpart)
tab sozpart
/* Kopie der Informationen aus der Abfrage in W2 in eine gemeinsame Variable*/
/* fr die Beginner in W2, damit einheitliche Variable vorliegt und die Beginner*/
/* in W2 nicht automatisch ausgeschlossen werden fr die Einstellungsvariablen*/
gen inteff=inteffw4
gen exteff=exteffw4
gen wahln=wahlnw4
gen stpid=stpidw3
gen lire=lirew2
gen demzuf=demzufw3
gen polint=polintw2
replace inteff=inteffw1 if W1==1
replace exteff=exteffw1 if W1==1
replace wahln=wahlnw1 if W1==1
replace stpid=stpidw1 if W1==1
replace lire=lirew1 if W1==1
replace demzuf=demzufw1 if W1==1
tab1 inteff-polint
gen extrem=abs(lire)
tab extrem
/* Erstellung einer Inklusionsvariable, da nur Befragte mit Teilnahme in W1 und Erstellung WBT-Variable */
gen include1=1 if extra>-1 & extra<2 & agree>-1 & agree<2 & open>-1 & open<2 & consc>-1 & consc<2 & emost>-1 & emost<2 & frau>-1 & frau<2 & alter>17 & alter<99 & edulow>-1 & edulow<2 & eduhi>-1 & eduhi<2 & west>-1 & west<2 & usch>-1 & usch<2 & osch>-1 & osch<2 & demo>-1 & demo<2 & demog>-1 & demog<2 & wahlka>-1 & wahlka<2 & wwbt <2 & wwbt>-1 & W1==1
tab include1
gen include2=1 if extra>-1 & extra<2 & agree>-1 & agree<2 & open>-1 & open<2 & consc>-1 & consc<2 & emost>-1 & emost<2 & frau>-1 & frau<2 & alter>17 & alter<99 & edulow>-1 & edulow<2 & eduhi>-1 & eduhi<2 & west>-1 & west<2 & usch>-1 & usch<2 & osch>-1 & osch<2 & inteff>-1 & inteff<2 & exteff>-1 & exteff<2 & stpid>-1 & stpid<2 & polint>-1 & polint<2 & wahln>-1 & wahln<2 & post>-1 & post <2 & extrem>-1 & extrem<2 & demo>-1 & demo<2 & demog>-1 & demog<2 & wahlka>-1 & wahlka<2 & wwbt <2 & wwbt>-1 & W1==1
tab include2
/* Analysen */
/* Tabelle 1 */
ologit demo extra agree consc emost open frau alter alterq edulow eduhi west usch osch if include2==1
fitstat
ologit demog extra agree consc emost open frau alter alterq edulow eduhi west usch osch if include2==1
fitstat
ologit wahlka extra agree consc emost open frau alter alterq edulow eduhi west usch osch if include2==1
fitstat
ologit wwbt extra agree consc emost open frau alter alterq edulow eduhi west usch osch if include2==1
fitstat
/* Noch Tabelle 1*/
/* Fr die Berechnung der Korrigierten R2-Werte ohne Sozialstruktur bzw. Persnlichkeit */
ologit demo extra agree consc emost open if include2==1
fitstat
ologit demog extra agree consc emost open if include2==1
fitstat
ologit wahlka extra agree consc emost open if include2==1
fitstat
ologit wwbt extra agree consc emost open if include2==1
fitstat
ologit demo frau alter alterq edulow eduhi west usch osch if include2==1
fitstat
ologit demog frau alter alterq edulow eduhi west usch osch if include2==1
fitstat
ologit wahlka frau alter alterq edulow eduhi west usch osch if include2==1
fitstat
ologit wwbt frau alter alterq edulow eduhi west usch osch if include2==1
fitstat
/* Tabelle A1 */
tabstat demo demog wahlka wwbt extra agree consc emost open frau alter alterq edulow eduhi west usch osch if include2==1, sta (n min max mean sd)
